package com.hh.holyolm.model;

import java.util.List;

//维护措施
public class CheckItemModel2 extends AbsCheckItem{
    String seq;//序号
    String checkContent;//工作内容 //措施内容
    String woker;//工作者
    String checker;//复查者
    String isComplete;//完成情况
    List<WorkRecordModel> recordList;//执行记录
    List<OptCardModel> cardList;//操作卡
    PhotoGroupModel photoGroup; //拍照项

    String itemType; //分类
    String itemSrc;//来源
    String releaseDept;//发布单位
    String failureType;//故障类别
    String failureSys;//系统
    String failure;//故障现象
    String workOpp;//落实时机


    public PhotoGroupModel getPhotoGroup() {
        return photoGroup;
    }

    public void setPhotoGroup(PhotoGroupModel photoGroup) {
        this.photoGroup = photoGroup;
    }

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getCheckContent() {
        return checkContent;
    }

    public void setCheckContent(String checkContent) {
        this.checkContent = checkContent;
    }

    public String getWoker() {
        return woker;
    }

    public void setWoker(String woker) {
        this.woker = woker;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getIsComplete() {
        return isComplete;
    }

    public void setIsComplete(String isComplete) {
        this.isComplete = isComplete;
    }

    public List<WorkRecordModel> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<WorkRecordModel> recordList) {
        this.recordList = recordList;
    }

    public List<OptCardModel> getCardList() {
        return cardList;
    }

    public void setCardList(List<OptCardModel> cardList) {
        this.cardList = cardList;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getItemSrc() {
        return itemSrc;
    }

    public void setItemSrc(String itemSrc) {
        this.itemSrc = itemSrc;
    }

    public String getReleaseDept() {
        return releaseDept;
    }

    public void setReleaseDept(String releaseDept) {
        this.releaseDept = releaseDept;
    }

    public String getFailureType() {
        return failureType;
    }

    public void setFailureType(String failureType) {
        this.failureType = failureType;
    }

    public String getFailureSys() {
        return failureSys;
    }

    public void setFailureSys(String failureSys) {
        this.failureSys = failureSys;
    }

    public String getFailure() {
        return failure;
    }

    public void setFailure(String failure) {
        this.failure = failure;
    }

    public String getWorkOpp() {
        return workOpp;
    }

    public void setWorkOpp(String workOpp) {
        this.workOpp = workOpp;
    }
}
